divert(-1)
#
# Copyright (c) 1998, 1999 Sendmail, Inc. and its suppliers.
#       All rights reserved.
# Copyright (c) 1983 Eric P. Allman.  All rights reserved.
# Copyright (c) 1988, 1993
#       The Regents of the University of California.  All rights reserved.
# Changed 2003 by Michael Oberg
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
#

#
#  This is a generic configuration file for Linux.
#  It has support for local and SMTP mail only.  If you want to
#  customize it, copy it to a name appropriate for your environment
#  and do the modifications there.
#

divert(0)dnl
VERSIONID(`: generic-linux.mc,v 8.1 1999/09/24 22:48:05 gshapiro Exp $')
OSTYPE(linux)dnl
FEATURE(`always_add_domain')
FEATURE(`ldap_routing')
define(`confLDAP_DEFAULT_SPEC',`-h livecd.mylinux.de -b dc=mylinux,dc=de')
define(`confLDAP_CLUSTER',`Mailserver')
define(`ALIAS_FILE',`ldap:')
FEATURE(`access_db',`LDAP')
FEATURE(`virtusertable',`LDAP')
LDAPROUTE_DOMAIN(`mylinux.de')
MAILER(local)
MAILER(cyrusv2)
define(`confLOCAL_MAILER',`cyrusv2')
LOCAL_RULE_0
R$=N			$: 0local $: 
R$=N < @ $=w . >	$: 0local $: 
Rbb + $+ < @ $=w . >	0cyrusbb $: 
MAILER(`smtp')dnl
MAILER(`procmail')dnl
MAILER(`uucp')dnl
DOMAIN(`generic')dnl
LOCAL_CONFIG
Cw localhost mylinux.de livecd.mylinux.de
define(`CERT_DIR',`/etc/mail/certs')
define(`confCACERT_PATH',`/etc/ssl/mylinux')
define(`confCACERT',`confCACERT_PATH/cacert.pem')
define(`confSERVER_CERT',`CERT_DIR/host.cert')
define(`confSERVER_KEY',`CERT_DIR/host.key')
define(`confCLIENT_CERT',`CERT_DIR/host.cert')
define(`confCLIENT_KEY',`CERT_DIR/host.key')
define(`confAUTH_MECHANISMS',`LOGIN PLAIN')
TRUST_AUTH_MECH(`LOGIN PLAIN')
